Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.extension
Class JifJL_c

    java.lang.Object
      polyglot.ast.Ext_c
          polyglot.ast.JL_c
              jif.extension.JifJL_c

All Implemented Interfaces:
  java.lang.Cloneable, polyglot.ast.Ext, polyglot.ast.JL, polyglot.ast.NodeOps, polyglot.util.Copy

Direct Known Subclasses:
  JifArrayAccessAssignDel, JifArrayAccessDel, JifArrayInitDel, JifBinaryDel, JifCallDel, JifCastDel, JifCatchDel, JifClassDeclDel, JifConstructorCallDel, JifFieldAssignDel, JifFieldDeclDel, JifFieldDel, JifFormalDel, JifIfDel, JifInitializerDel, JifInstanceOfDel, JifLocalDeclDel, JifNewArrayDel, JifProcedureDeclDel, JifThrowDel, JifTypeNodeDel

    public class JifJL_c

extends polyglot.ast.JL_c

An implementation of the `Jif` interface.

Field Summary

Fields inherited from class polyglot.ast.Ext_c
`ext, node`

Constructor Summary
`JifJL_c()`

Method Summary
`polyglot.ast.Node` | `buildTypes(polyglot.visit.TypeBuilder tb)`
`void` | `translate(polyglot.util.CodeWriter w, polyglot.visit.Translator tr)`

Methods inherited from class polyglot.ast.JL_c
`addDecls, buildTypesEnter, checkConstants, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, jl, prettyPrint, prettyPrint, prettyPrint, throwTypes, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from class polyglot.ast.Ext_c
`copy, dump, ext, ext, init, node, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.util.Copy
`copy`

Constructor Detail

### JifJL_c

    public JifJL_c()

Method Detail

### buildTypes

    public polyglot.ast.Node buildTypes(polyglot.visit.TypeBuilder tb)
                                 throws polyglot.types.SemanticException

  Specified by:
    `buildTypes` in interface `polyglot.ast.NodeOps`
  Overrides:
    `buildTypes` in class `polyglot.ast.JL_c`
  Throws:
    `polyglot.types.SemanticException`

### translate

    public void translate(polyglot.util.CodeWriter w,
                          polyglot.visit.Translator tr)

  Specified by:
    `translate` in interface `polyglot.ast.NodeOps`
  Overrides:
    `translate` in class `polyglot.ast.JL_c`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD